

public class RECHNEN {
    
    /*#
     * In Java gibt es keinen Operator für die Potenz (auch nicht dieses Zeichen ^ )
     * Daher muss die Potenz mit einer Wiederholung (hier Rekursion) der Multiplikation berechnet werden!
     */
    public int potenz(int basis, int exponent){
        if ( basis == 0   &&   exponent != 0 ){
            return 0;
        }
        else if ( basis != 0   &   exponent == 0){
            return 1;
        }else{
            return basis * potenz(basis, exponent-1);
        }
        // bringt falsches Ergebnis fuer 0 hoch 0!
    }

    /*#
     * Analog zur Potenz soll auch die Mutiplikation als Wiederholung der Addition berechnet werden!
     * Der Operator * darf nicht benutzt werden!
     */
    public int mal(int a, int b){
        if ( a == 0   ||   b == 0 ){
            return 0;
        }else{
            return a + mal(a, b-1);
        }
    }
}
