import java.math.BigInteger;

public class FIBONACCI{
   

    public int fibonacci(int i){
        if(i == 0){
            return 0;
        } else if(i == 1){
            return 1;
        } else {
            return fibonacci(i-1)+fibonacci(i-2);
        }
    }

    public int fibonacciIterativ(int i){
        if(i == 0){
            return 0;
        } else if(i == 1){
            return 1;
        } else {
            int a = 0;
            int b = 1;
            int c = 0;
            for(int n = 2; n <= i; n++){
                c = a + b;
                a = b;
                b = c;
            }
            return c;
        }
    }

    int[] zahlen;

    public int fibonacciDynamischesProgrammierung( int i ){

        zahlen = new int[i+1];
        zahlen[0] = 0;
        zahlen[1] = 1;
        return fibonacciDynamischesProgrammierungHelper(i);
    }

    private int fibonacciDynamischesProgrammierungHelper(int i){

        if(i == 0){
            return zahlen[0];
        } else if(i == 1){
            return zahlen[1];
        } else {
            if(zahlen[i] == 0){
                zahlen[i] = fibonacciDynamischesProgrammierungHelper(i-1) + fibonacciDynamischesProgrammierungHelper(i-2);
                return zahlen[i];
            }else{
                return zahlen[i];
            }            
        }

    }

    public void fibRek(int i){
        System.out.println(fibRekHelper(i).toString());
    }

    private BigInteger fibRekHelper(int i){
        if(i == 0){
            return BigInteger.ZERO;
        } else if(i == 1){
            return BigInteger.ONE;
        } else {
            return fibRekHelper(i-1).add(fibRekHelper(i-2));
        }
    }

    public void fibIter(int i){
        System.out.println(fibIterHelper(i).toString());
    }

    private BigInteger fibIterHelper(int i){
        if(i == 0){
            return BigInteger.ZERO;
        } else if(i == 1){
            return BigInteger.ONE;
        } else {
            BigInteger a = BigInteger.ZERO;
            BigInteger b = BigInteger.ONE;
            BigInteger c = BigInteger.ZERO;
            for(int n = 2; n <= i; n++){
                c = a.add(b);
                a = b;
                b = c;
            }
            return c;
        }
    }
    
     BigInteger[] zahl;

    public void fibDP(int i){
        zahl = new BigInteger[i+1];
        zahl[0] = BigInteger.ZERO;
        zahl[1] = BigInteger.ONE;
        System.out.println(fibDPHelper(i).toString());
    }

    private BigInteger fibDPHelper(int i){

        if(i == 0){
            return zahl[0];
        } else if(i == 1){
            return zahl[1];
        } else {
            if(zahl[i] == null){
                zahl[i] = fibDPHelper(i-1).add(fibDPHelper(i-2));
                return zahl[i];
            }else{
                return zahl[i];
            }            
        }
    }
}
